Subject: home-shepherd is flooding tty

From: Dariqq <[email-masked]>
Date: Wed, 24 Jul 2024 16:16:00 +0000

Hi,

Today I connected to my laptop running guix home over ssh as the first 
session and got greeted with a lot of shepherd logs from the 
on-first-login script from guix-home starting the user shepherd:

Starting service root...
Service root started.
Service root running with value #t.
Service root has been started.
WARNING: Use of `load' in declarative module (#{ g107}#).  Add 
#:declarative? #f to your define-module invocation.
Daemonizing...

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
Restarting signal handler.
Now running as process 2026.
Starting services...
Configuration successfully loaded from 
'/gnu/store/004jm8s9km3j70gh4nhw8fzlbjls5wxa-shepherd.conf'.
Starting service dbus...
Service dbus has been started.
Service dbus started.
Service dbus running with value 2027.
[...]
Successfully started 4 services in the background.

As I don't want to see these messages I have patched the 
add-shell-profile-file procedure in gnu/home/services/shells.scm to send 
the output of the on-first-login-script into the void as a workaround.

The shepherd manual mentions a --quit option (there seems to be also 
--silent but not documented). Looking at the shepherd code though these 
don't seem to do anything which is also not mentioned anywhere causing 
even more confusion.